summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog7
-rw-r--r--mkxf86config.sh290
-rw-r--r--xorg.conf.impact101
-rw-r--r--xorg.conf.in204
-rw-r--r--xorg.conf.newport132
-rw-r--r--xorg.conf.o2-fbdev69
6 files changed, 802 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index dc31821..61eada9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
# ChangeLog for mkxf86config
-# Copyright 1999-2008 Gentoo Foundation; 2009-2009 Various authors (see AUTHORS)
+# Copyright 1999-2009 Gentoo Foundation; 2009-2009 Various authors (see AUTHORS)
# Distributed under the GPL v2
# $Id$
+ 21 Sep 2009; Chris Gianelloni <wolf31o2@wolf31o2.org> +mkxf86config.sh,
+ +xorg.conf.impact, +xorg.conf.in, +xorg.conf.newport, +xorg.conf.o2-fbdev:
+ Importing my customized version of mkxf86config (version 0.9.10) for
+ tracking changes.
+
diff --git a/mkxf86config.sh b/mkxf86config.sh
new file mode 100644
index 0000000..9d6c528
--- /dev/null
+++ b/mkxf86config.sh
@@ -0,0 +1,290 @@
+#!/bin/bash
+
+source /etc/profile
+source /sbin/functions.sh
+
+# First, get the command line
+CMDLINE="$(</proc/cmdline)"
+
+# Most of this if for MIPS, except for the last one, which is for everything
+# else to select a default resolution. Since the MIPS configs are ready to be
+# used by default, we exit after calling a MIPS config.
+for x in ${CMDLINE}
+do
+ case "${x}" in
+ ip22)
+ # Newport for now, IP22 Impact later
+ if [ ! -z "$(grep 'SGI Indigo2' /proc/cpuinfo)" ]
+ then
+ sed -e '/^#@@@/s:\(^#@@@\|@@@$\)::g' \
+ /etc/X11/xorg.conf.newport > /etc/X11/xorg.conf
+ fi
+ exit 0
+ ;;
+ ip28)
+ # This might support Newport too, but I2 Newport boards are rare.
+ cp -f /etc/X11/xorg.conf.impact /etc/X11/xorg.conf
+ exit 0
+ ;;
+
+ ip30)
+ # Figure out if we're Impact, or VPro (Odyssey)
+ if [ -e "/proc/fb" ]; then
+ ip30_impact="$(grep -i 'impact' /proc/fb)"
+ ip30_odyssey="$(grep -i 'odyssey' /proc/fb)"
+ if [ -n "${ip30_impact}" ]
+ then
+ cp -f /etc/X11/xorg.conf.impact /etc/X11/xorg.conf
+ elif [ -n "${ip30_odyssey}" ]
+ then
+ # Do nothing for now -- maybe one day we'll get an X driver
+ # cp -f /etc/X11/xorg.conf.odyssey /etc/X11/xorg.conf
+ ewarn "Currently, there is no X driver for Odyssey"
+ fi
+ fi
+ exit 0
+ ;;
+ ip32)
+ # We use fbdev for now -- maybe one day we'll get a gbefb X driver
+ cp -f /etc/X11/xorg.conf.o2-fbdev /etc/X11/xorg.conf
+ exit 0
+ ;;
+ xres\=*)
+ # We got a resolution on the command line, use it.
+ NEWMODE=$(echo ${x} | cut -d= -f2)
+ RAWMODES="\"${NEWMODE}\""
+ esac
+done
+
+TMPFILE="/tmp/mkxf86config-$$"
+MONITORTMP="${TMPFILE}-monitor"
+
+rm -f "${TMPFILE}" "${MONITORTMP}"
+
+# Read in what hwsetup has found for X
+[ -f /etc/sysconfig/xserver ] && . /etc/sysconfig/xserver
+
+WHEEL='s|"PS/2"|"auto"\
+Option "ZAxisMapping" "4 5"|g;'
+
+# Read in changes
+[ -f /etc/sysconfig/gentoo ] && . /etc/sysconfig/gentoo
+
+# Read default keyboard from config file.
+# There seems to be no reliable autoprobe possible.
+[ -f /etc/sysconfig/keyboard ] && . /etc/sysconfig/keyboard
+
+# Create mouse link and insert a mouse default type into xorg.conf
+# if not already done by hwsetup
+[ -f /etc/sysconfig/mouse ] && . /etc/sysconfig/mouse
+# We create this link since hwsetup cannot properly detect serial mice
+[ -e /dev/mouse ] || ln -sf /dev/ttyS0 /dev/mouse
+
+PROTO="${XMOUSETYPE:-Microsoft}"
+NOEMU=""
+[ "${XEMU3}" = "no" ] && NOEMU='s|^.*Emulate3|# No 2 -> 3 Button emulation|g'
+
+DEADKEYS=""
+[ "${XKEYBOARD}" = "de" ] || DEADKEYS='s|^.*nodeadkeys.*$||g;'
+
+if [ -n "${XMODULE}" ]
+then
+ # Check for Framebuffer X-Modules and initialize framebuffer module
+ case "${XMODULE}" in
+ pvr2fb)
+ modprobe "${XMODULE}" >/dev/null 2>&1
+ XMODULE="fbdev"
+ ;;
+ esac
+fi
+
+# We used to use ddcxinfo-knoppix for monitor information, now we will just let
+# X choose for itself. This will probably break older machines.
+# You can uncomment the following to re-enable dccxinfo-knoppix, but this only
+# works on x86.
+#MONITOR="$(ddcxinfo-knoppix -monitor)"
+# Here we are setting a default set of HorizSync and VertRefresh. These are
+# "safe" values. I am hoping to remove this completely in the future once more
+# testing has been done on alternate architectures.
+MONITOR='Section "Monitor"
+ Identifier "Monitor0"
+ HorizSync 28.0 - 96.0
+ VertRefresh 50.0 - 75.0
+EndSection'
+RC="$?"
+COMPLETE="$(awk '/EndSection/{print}' <<EOF
+${MONITOR}
+EOF
+)"
+
+# Extract values for display
+MODEL="$(awk '/^[ ]*ModelName/{print;exit}'<<EOF
+${MONITOR}
+EOF
+)"
+
+MODEL="${MODEL#*\"}"
+MODEL="${MODEL%\"*}"
+
+HREFRESH="$(awk '/^[ ]*HorizSync/{print $2 $3 $4; exit}'<<EOF
+${MONITOR}
+EOF
+)"
+
+VREFRESH="$(awk '/^[ ]*VertRefresh/{print $2 $3 $4; exit}'<<EOF
+${MONITOR}
+EOF
+)"
+
+# Build line of allowed modes
+# This is created from the Modelines created by ddcxinfo-knoppix and is not
+# always accurate for your monitor. This is currently set statically to give
+# working support for alpha/amd64/ppc/x86 for the 2007.0 Gentoo release. If
+# anyone has more reliable, cross-platform methods, I'm all ears.
+#RAWMODES=$(ddcxinfo-knoppix -monitor | grep ModeLine | sed -r "s/.*\"([0-9]+x[0-9]+)\".*/\1/g"| sort -rg | uniq | xargs echo | sed -r "s/([0-9]+x[0-9]+)/\"\1\"/g")
+[ -z "${RAWMODES}" ] && RAWMODES="\"1024x768\" \"800x600\" \"640x480\""
+MODES="Modes ${RAWMODES}"
+
+# We need to check this because serial mice have long timeouts
+SERIALMOUSE="$(ls -l1 /dev/mouse* 2>/dev/null | awk '/ttyS/{print $NF ; exit 0}')"
+if [ -n "${SERIALMOUSE}" ]
+then
+ SERIALMOUSE="s|/dev/ttyS0|${SERIALMOUSE}|g;"
+else
+ SERIALMOUSE='s|^.*InputDevice.*"Serial Mouse".*$|# Serial Mouse not detected|g;'
+fi
+
+# PS/2 bug: Some keyboards are incorrectly used as mice in XFree. :-(
+PSMOUSE="$(ls -l1 /dev/mouse* 2>/dev/null | awk '/input/{print $NF ; exit 0}')"
+if [ -n "${PSMOUSE}" ]
+then
+ PSMOUSE=""
+else
+ PSMOUSE='s|^.*InputDevice.*"PS/2 Mouse".*$|# PS/2 Mouse not detected|g;'
+fi
+
+case "$(cat /proc/modules)" in
+ *usbmouse*|*mousedev*|*hid\ *)
+ USBMOUSE=""
+ ;;
+ *)
+ USBMOUSE='s|^.*InputDevice.*"USB Mouse".*$|# USB Mouse not detected|g;'
+ ;;
+esac
+
+# Kernel 2.6 reports psaux via /dev/input/mice like USB
+case "$(uname -r)" in
+ 2.6.*)
+ if [ -n "${PSMOUSE}" ]
+ then
+ PSMOUSE='s|^.*InputDevice.*"PS/2 Mouse".*$|# PS/2 Mouse using /dev/input/mice in Kernel 2.6|g;'
+ USBMOUSE=""
+ fi
+ ;;
+esac
+
+if [ -a /proc/bus/input/devices ]
+then
+ CHECK=$(cat /proc/bus/input/devices | grep -i synaptics | wc -l)
+ if [ ${CHECK} -gt 0 ]
+ then
+ modprobe -q evdev
+ SYNDEV=/dev/input/$(cat /proc/bus/input/devices | egrep -i -A 5 "^N: .*synaptics.*" | grep Handlers | sed -r "s/.*(event[0-9]+).*/\1/g")
+ SYNMOUSE=""
+ else
+ SYNMOUSE='s|^.*InputDevice.*"Synaptics".*$|#No Synaptics touchpad found|g;'
+ fi
+fi
+
+# Write Monitor data now
+rm -f "${MONITORTMP}"
+echo "${MONITOR}" > "${MONITORTMP}"
+
+# VMWare special handling
+VMWARE=""
+MOUSEDRIVER=""
+if [ "${XMODULE}" = "vmware" ]
+then
+ VMWARE='s|^.*BusID.*PCI.*$|BusID "PCI:0:15:0"|g;'
+ DEPTH='s|DefaultColorDepth |# DefaultColorDepth |g;'
+ if [ -e /usr/lib/xorg/modules/input/vmmouse_drv.so ] || \
+ [ -e /usr/lib/modules/input/vmmouse_drv.so ]
+ then
+ MOUSEDRIVER='s|^.*Driver.*"mouse".*$|\tDriver\t"vmmouse"|g;'
+ fi
+fi
+
+#VirtualPC special handline
+VPC=""
+if [ "${XMODULE}" = "s3" ]
+then
+ VPC='s|^.*BusID.*PCI.*$|BusID "PCI:0:8:0"|g;'
+ DEPTH='s|DefaultColorDepth 24|DefaultColorDepth 16|g;'
+fi
+
+# If we don't have a XMODULE set, use fbdev as fall-back
+[ -z "${XMODULE}" ] && XMODULE="fbdev"
+
+# Do NOT use a default colordepth setting if we are using the "fbdev" module
+if [ "${XMODULE}" = "fbdev" ]
+then
+ DEPTH='s|DefaultColorDepth |# DefaultColorDepth |g;'
+fi
+
+# These drivers need the sw_cursor option
+SWCURSOR=""
+MONITORLAYOUT=""
+case "${XMODULE}" in
+ ati|nv|trident)
+ SWCURSOR='s|^.*#Option.*"sw_cursor".*$|Option "sw_cursor"|g;'
+ ;;
+ radeon)
+ SWCURSOR='s|^.*#Option.*"sw_cursor".*$|Option "sw_cursor"|g;'
+ MONITORLAYOUT='s|^.*#Option.*"MonitorLayout".*$|Option "MonitorLayout"|g;'
+ ;;
+esac
+
+# We must use NoPM, because some machines freeze if Power management is beingi
+# activated.
+NOPM=""
+DPMS=""
+
+#checkbootparam noapm && NOPM='Option "NoPM" "true"' || DPMS='Option "DPMS" "true"'
+
+sed -e 's|@@PROTOCOL@@|'"${PROTO}"'|g;'"${NOEMU}" \
+ -e '/@@MONITOR@@/r '"${MONITORTMP}" \
+ -e 's|@@MONITOR@@||g' \
+ -e 's|@@NOPM@@|'"${NOPM}"'|g' \
+ -e 's|@@XMODULE@@|'"${XMODULE}"'|g;'"${VMWARE}""${VPC}""${SERIALMOUSE}""${USBMOUSE}""${PSMOUSE}""${SWCURSOR}""${MONITORLAYOUT}""${WHEEL}""${SYNMOUSE}""${MOUSEDRIVER}" \
+ -e 's|@@SYNDEV@@|'"${SYNDEV}"'|g' \
+ -e 's|@@MODES@@|'"${MODES}"'|g;'"${DEPTH}" \
+ -e 's|"XkbLayout" *"[^"]*"|"XkbLayout" "'"${XKEYBOARD}"'"|g;'"${DEADKEYS}" \
+ /etc/X11/xorg.conf.in >/etc/X11/xorg.conf
+
+if [ -n "${DPMS}" ]
+then
+ if [ -f /etc/X11/xorg.conf ]
+ then
+ sed -e 's|Identifier[ ]*"Monitor0"|Identifier "Monitor0"\
+ '"${DPMS}"'|g' /etc/X11/xorg.conf >/etc/X11/xorg.conf.new
+ mv -f /etc/X11/xorg.conf.new /etc/X11/xorg.conf
+ fi
+fi
+
+rm -f "${TMPFILE}" "${MONITORTMP}" 2>/dev/null
+
+# Print info about selected X-Server
+[ -n "${XDESC}" ] || XDESC="(yet) unknown card"
+echo -n " ${GOOD}Video is"
+
+[ -n "${XDESC}" ] && echo -n " ${HILITE}${XDESC}${NORMAL},"
+echo -n " using ${GOOD}${XSERVER:-generic VESA}"
+[ -n "${XMODULE}" ] && echo -n "(${HILITE}${XMODULE}${NORMAL})"
+echo " Server${NORMAL}"
+
+echo -n " ${GOOD}Monitor is ${HILITE}${MODEL:-Generic Monitor}${NORMAL}"
+[ -n "${HREFRESH}" -a -n "${VREFRESH}" ] && echo "${GOOD}, ${GOOD}H:${HILITE}${HREFRESH}kHz${GOOD}, V:${HILITE}${VREFRESH}Hz${NORMAL}" || echo ""
+[ -n "${XVREFRESH}" ] && echo " ${GOOD}Trying specified vrefresh rate of ${HILITE}${XVREFRESH}Hz.${NORMAL}"
+
+[ -n "${MODES}" ] && echo " ${GOOD}Using Modes ${HILITE}${MODES##Modes }${NORMAL}"
+
diff --git a/xorg.conf.impact b/xorg.conf.impact
new file mode 100644
index 0000000..6f6ea3f
--- /dev/null
+++ b/xorg.conf.impact
@@ -0,0 +1,101 @@
+Section "Files"
+
+ FontPath "/usr/share/fonts/local/"
+ FontPath "/usr/share/fonts/misc/"
+ FontPath "/usr/share/fonts/75dpi/:unscaled"
+ FontPath "/usr/share/fonts/100dpi/:unscaled"
+ FontPath "/usr/share/fonts/Type1/"
+ FontPath "/usr/share/fonts/CID/"
+ FontPath "/usr/share/fonts/Speedo/"
+ FontPath "/usr/share/fonts/75dpi/"
+ FontPath "/usr/share/fonts/100dpi/"
+
+EndSection
+
+Section "Module"
+
+ Load "dbe"
+
+ SubSection "extmod"
+ Option "omit xfree86-dga"
+ EndSubSection
+
+ Load "type1"
+ Load "freetype"
+
+EndSection
+
+
+Section "ServerFlags"
+
+ Option "DisableVidModeExtension"
+
+ Option "blank time" "10" # 10 minutes
+
+ Option "standby time" "20"
+ Option "suspend time" "30"
+ Option "off time" "60"
+
+EndSection
+
+Section "InputDevice"
+
+ Identifier "Keyboard1"
+ Driver "keyboard"
+ Option "CoreKeyboard"
+ Option "XkbRules" "xfree86"
+ Option "XkbModel" "pc104"
+ Option "AutoRepeat" "500 30"
+
+EndSection
+
+Section "InputDevice"
+
+ Identifier "Mouse1"
+ Driver "mouse"
+ Option "CorePointer"
+ Option "Protocol" "ImPS/2"
+ Option "Device" "/dev/input/mice"
+ Option "ZAxisMapping" "4 5"
+
+EndSection
+
+Section "Monitor"
+
+ Identifier "Monitor1"
+ DisplaySize 340 270
+ #DisplaySize 380 310
+ HorizSync 30.0 - 82.0 # multiple ranges of sync frequencies
+ VertRefresh 50.0 - 75.0 # typical for a single frequency fixed-sync monitor
+ #ModeLine "1280x1024@70Hz" 130 1280 1320 1480 1728 1024 1029 1036 1077
+
+EndSection
+
+Section "Device"
+ Identifier "Impact1"
+ Driver "impact"
+ Option "Depth" "24"
+EndSection
+
+Section "Screen"
+ Identifier "Screen1"
+ Device "Impact1"
+ Monitor "Monitor1"
+ DefaultDepth 24
+ SubSection "Display"
+ Depth 8
+ Modes "1280x1024"
+ EndSubSection
+ SubSection "Display"
+ Depth 24
+ Modes "1280x1024"
+ EndSubSection
+EndSection
+
+Section "ServerLayout"
+ Identifier "Layout1"
+ Screen "Screen1"
+ InputDevice "Mouse1" "CorePointer"
+ InputDevice "Keyboard1" "CoreKeyboard"
+EndSection
+
diff --git a/xorg.conf.in b/xorg.conf.in
new file mode 100644
index 0000000..a2b25de
--- /dev/null
+++ b/xorg.conf.in
@@ -0,0 +1,204 @@
+Section "ServerLayout"
+ Identifier "X.Org Configured"
+ Screen 0 "Screen0" 0 0
+ InputDevice "Keyboard0" "CoreKeyboard"
+ InputDevice "PS/2 Mouse" "AlwaysCore"
+# InputDevice "Serial Mouse" "AlwaysCore"
+ InputDevice "USB Mouse" "AlwaysCore"
+ InputDevice "Synaptics" "AlwaysCore"
+EndSection
+
+Section "ServerFlags"
+ Option "AllowMouseOpenFail" "true"
+ @@NOPM@@
+EndSection
+
+Section "Files"
+ FontPath "/usr/share/fonts/util"
+ FontPath "/usr/share/fonts/encodings"
+ FontPath "/usr/share/fonts/misc"
+ FontPath "/usr/share/fonts/local"
+ FontPath "/usr/share/fonts/terminus"
+ FontPath "/usr/share/fonts/corefonts"
+ FontPath "/usr/local/share/fonts"
+ FontPath "/usr/share/fonts/default"
+ FontPath "/usr/share/fonts/TTF"
+ FontPath "/usr/share/fonts/type1"
+ FontPath "/usr/share/fonts/100dpi"
+ FontPath "/usr/share/fonts/75dpi"
+ FontPath "/usr/share/fonts/arphicfonts"
+ FontPath "/usr/share/fonts/jisx0213"
+ FontPath "/usr/share/fonts/shinonome"
+ FontPath "/usr/share/fonts/baekmuk-fonts"
+ FontPath "/usr/share/fonts/kacst-fonts"
+ FontPath "/usr/share/fonts/sgi-fonts"
+ FontPath "/usr/share/fonts/unfonts"
+ FontPath "/usr/share/fonts/default/ghostscript"
+ FontPath "/usr/share/fonts/xfonts-cronyx-100dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-75dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-misc:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-100dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-75dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-misc"
+ FontPath "/usr/share/fonts/xfonts-cronyx-cp1251-100dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-cp1251-75dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-cp1251-misc:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-cp1251-100dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-cp1251-75dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-cp1251-misc"
+ FontPath "/usr/share/fonts/xfonts-cronyx-isocyr-100dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-isocyr-75dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-isocyr-misc:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-isocyr-100dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-isocyr-75dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-isocyr-misc"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8r-100dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8r-75dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8r-misc:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8r-100dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8r-75dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8r-misc"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8u-100dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8u-75dpi:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8u-misc:unscaled"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8u-100dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8u-75dpi"
+ FontPath "/usr/share/fonts/xfonts-cronyx-koi8u-misc"
+EndSection
+
+Section "Module"
+ Load "ddc"
+ Load "vbe"
+ Load "GLcore"
+ Load "dbe"
+ Load "dri"
+ Load "extmod"
+ Load "glx"
+ Load "bitmap"
+ Load "type1"
+ Load "freetype"
+ Load "record"
+EndSection
+
+Section "InputDevice"
+ Identifier "Keyboard0"
+ Driver "kbd"
+ Option "CoreKeyboard"
+ Option "XkbRules" "xorg"
+ Option "XkbModel" "pc105"
+# Option "XkbOptions" "grp:toggle,grp_led:scroll"
+ Option "XkbVariant" ",winkeys"
+ Option "XkbLayout" ""
+EndSection
+
+Section "InputDevice"
+ Identifier "Serial Mouse"
+ Driver "mouse"
+ Option "Protocol" "Microsoft"
+ Option "Device" "/dev/ttyS0"
+ Option "Emulate3Buttons" "true"
+ Option "Emulate3Timeout" "70"
+ Option "SendCoreEvents" "true"
+EndSection
+
+Section "InputDevice"
+ Identifier "PS/2 Mouse"
+ Driver "mouse"
+ Option "Protocol" "IMPS/2"
+ Option "Device" "/dev/misc/psaux"
+ Option "Emulate3Buttons" "true"
+ Option "Emulate3Timeout" "70"
+ Option "SendCoreEvents" "true"
+ Option "ZAxisMapping" "4 5"
+EndSection
+
+Section "InputDevice"
+ Identifier "USB Mouse"
+ Driver "mouse"
+ Option "Device" "/dev/input/mice"
+ Option "SendCoreEvents" "true"
+ Option "Protocol" "IMPS/2"
+ Option "ZAxisMapping" "4 5"
+ Option "Buttons" "5"
+EndSection
+
+Section "InputDevice"
+ Identifier "Synaptics"
+ Driver "synaptics"
+ Option "Protocol" "event"
+ Option "Device" "@@SYNDEV@@"
+ Option "LeftEdge" "1900"
+ Option "RightEdge" "5400"
+ Option "TopEdge" "1900"
+ Option "BottomEdge" "4000"
+ Option "FingerLow" "25"
+ Option "FingerHigh" "30"
+ Option "MaxTapTime" "180"
+ Option "MaxTapMove" "220"
+ Option "VertScrollDelta" "100"
+ Option "MinSpeed" "0.02"
+ Option "MaxSpeed" "0.10"
+ Option "AccelFactor" "0.0010"
+ Option "SHMConfig" "on"
+EndSection
+
+# Auto-generated by mkxf86config
+@@MONITOR@@
+
+Section "Device"
+ ### Available Driver options are:-
+ # sw_cursor is needed for some ati and radeon cards
+ #Option "sw_cursor"
+ #Option "hw_cursor"
+ #Option "NoAccel"
+ #Option "ShowCache"
+ #Option "ShadowFB"
+ #Option "UseFBDev"
+ #Option "Rotate"
+ #Option "MonitorLayout" "LVDS, NONE"
+ Identifier "Card0"
+ # The following line is auto-generated by x11-misc/mkxf86config
+ Driver "@@XMODULE@@"
+ VendorName "All"
+ BoardName "All"
+# BusID "PCI:1:0:0"
+EndSection
+
+Section "Screen"
+ Identifier "Screen0"
+ Device "Card0"
+ Monitor "Monitor0"
+ DefaultColorDepth 24
+ SubSection "Display"
+ Depth 1
+ @@MODES@@
+ EndSubSection
+ SubSection "Display"
+ Depth 4
+ @@MODES@@
+ EndSubSection
+ SubSection "Display"
+ Depth 8
+ @@MODES@@
+ EndSubSection
+ SubSection "Display"
+ Depth 15
+ @@MODES@@
+ EndSubSection
+ SubSection "Display"
+ Depth 16
+ @@MODES@@
+ EndSubSection
+ SubSection "Display"
+ Depth 24
+ @@MODES@@
+ EndSubSection
+ SubSection "Display"
+ Depth 32
+ @@MODES@@
+ EndSubSection
+EndSection
+
+Section "DRI"
+ Mode 0666
+EndSection
diff --git a/xorg.conf.newport b/xorg.conf.newport
new file mode 100644
index 0000000..b4c8e4f
--- /dev/null
+++ b/xorg.conf.newport
@@ -0,0 +1,132 @@
+# ***************************************************************************
+# This is a configuration file for the Indy's / I2's Newport Graphics and the
+# SGI GDM17E10 Monitor other monitors should work as well
+# Guido Guenther <agx@sigxcpu.org>
+# ***************************************************************************
+
+Section "ServerFlags"
+ Option "BlankTime" "10"
+EndSection
+
+Section "Files"
+ FontPath "/usr/share/fonts/misc"
+ FontPath "/usr/share/fonts/cyrillic"
+ FontPath "/usr/share/fonts/100dpi/:unscaled"
+ FontPath "/usr/share/fonts/75dpi/:unscaled"
+ FontPath "/usr/share/fonts/TrueType"
+ FontPath "/usr/share/fonts/Type1"
+ FontPath "/usr/share/fonts/Speedo"
+EndSection
+
+Section "Module"
+ Load "xaa"
+ Load "GLcore"
+ Load "bitmap"
+ Load "dbe"
+ Load "ddc"
+ Load "dri"
+ Load "extmod"
+ Load "freetype"
+ Load "glx"
+ Load "int10"
+ Load "pex5"
+ Load "record"
+ Load "speedo"
+ Load "type1"
+ Load "vbe"
+ Load "xie"
+EndSection
+
+Section "InputDevice"
+ Identifier "Generic Keyboard"
+ Driver "kbd"
+ Option "CoreKeyboard"
+
+ Option "XkbModel" "pc102"
+ Option "XkbLayout" "us"
+# for a german layout use:
+# Option "XkbLayout" "de"
+# Option "XkbVariant" "nodeadkeys"
+# if you don't like caps lock:
+# Option "XkbOptions" "ctrl:swapcaps"
+ Option "XkbOptions" "ctrl:nocaps"
+EndSection
+
+Section "InputDevice"
+ Identifier "Generic Mouse"
+ Driver "mouse"
+ Option "CorePointer"
+# use /dev/psaus if you don't run gpm
+ Option "Device" "/dev/psaux"
+ Option "Protocol" "ImPS/2"
+ Option "ZAxisMapping" "4 5"
+EndSection
+
+Section "Device"
+ Identifier "SGI Newport"
+ Driver "newport"
+# I2 XL users need this one:
+#@@@ Option "BusID" "1"@@@
+# Use this to disable the hardware cursor
+# Option "HWCursor" "false"
+# Use this if autodetection of bitplanes fails:
+# Option "bitplanes" "24"
+ Option "NoAccel" "false"
+EndSection
+
+Section "Monitor"
+ Identifier "SUN GDM17e10"
+
+# This Information can be found at http://www.si87.com/
+ HorizSync 30-82 # multiple ranges of sync frequencies
+ VertRefresh 50-120 # typical for a single frequency fixed-sync monitor
+
+# A single modeline is sufficient, we don't use it at all, but it might be
+# handy if you connect this monitor to a PC:
+# ModeLine "1280x1024@70Hz" 130 1280 1320 1480 1728 1024 1029 1036 1077
+ Modeline "1280x1024@70" 141.82 1280 1312 1848 1880 1024 1044 1056 1076
+EndSection
+
+Section "Screen"
+ Identifier "Default Screen"
+ Device "SGI Newport"
+ Monitor "SUN GDM17e10"
+ DefaultDepth 24
+# use this for 24bpp mode
+# DefaultDepth 24
+ SubSection "Display"
+ Depth 1
+ Modes "1280x1024"
+ EndSubSection
+ SubSection "Display"
+ Depth 4
+ Modes "1280x1024"
+ EndSubSection
+ SubSection "Display"
+ Depth 8
+ Modes "1280x1024"
+ EndSubSection
+ SubSection "Display"
+ Depth 15
+ Modes "1280x1024"
+ EndSubSection
+ SubSection "Display"
+ Depth 16
+ Modes "1280x1024"
+ EndSubSection
+ SubSection "Display"
+ Depth 24
+ Modes "1280x1024"
+ EndSubSection
+EndSection
+
+Section "ServerLayout"
+ Identifier "Default Layout"
+ Screen "Default Screen"
+ InputDevice "Generic Keyboard"
+ InputDevice "Generic Mouse"
+EndSection
+
+Section "DRI"
+ Mode 0666
+EndSection
diff --git a/xorg.conf.o2-fbdev b/xorg.conf.o2-fbdev
new file mode 100644
index 0000000..340908e
--- /dev/null
+++ b/xorg.conf.o2-fbdev
@@ -0,0 +1,69 @@
+Section "Files"
+ FontPath "/usr/share/fonts/misc"
+ FontPath "/usr/share/fonts/cyrillic"
+ FontPath "/usr/share/fonts/100dpi/:unscaled"
+ FontPath "/usr/share/fonts/75dpi/:unscaled"
+ FontPath "/usr/share/fonts/TrueType"
+ FontPath "/usr/share/fonts/Type1"
+ FontPath "/usr/share/fonts/Speedo"
+EndSection
+
+Section "Module"
+EndSection
+
+Section "InputDevice"
+ Identifier "Generic Keyboard"
+ Driver "kbd"
+ Option "CoreKeyboard"
+EndSection
+
+Section "InputDevice"
+ Identifier "Mouse1"
+ Driver "mouse"
+ Option "CorePointer"
+ Option "Device" "/dev/input/mice"
+ Option "Protocol" "ImPS/2"
+ Option "ZAxisMapping" "4 5"
+EndSection
+
+#to connect a mouse on a serial port...
+#Section "InputDevice"
+# Identifier "Mouse2"
+# Driver "mouse"
+# Option "Device" "/dev/ttyS1"
+# Option "Protocol" "Auto"
+#EndSection
+
+
+Section "Device"
+ Identifier "SGIdevice"
+ Driver "fbdev"
+EndSection
+
+Section "Monitor"
+ Identifier "SGImonitor"
+ HorizSync 31-65
+ VertRefresh 55-100
+EndSection
+
+Section "Screen"
+ Identifier "Default Screen"
+ Device "SGIdevice"
+ Monitor "SGImonitor"
+ DefaultDepth 15
+ SubSection "Display"
+ Depth 15
+ EndSubSection
+EndSection
+
+Section "ServerLayout"
+ Identifier "Default Layout"
+ Screen "Default Screen"
+ InputDevice "Generic Keyboard"
+ InputDevice "Mouse1" "CorePointer"
+ #InputDevice "Mouse2" "SendCoreEvents" # for the serial mouse
+EndSection
+
+Section "DRI"
+ Mode 0666
+EndSection